Differences between revisions 1 and 2
Revision 1 as of 2021-08-15 02:55:59
Size: 4588
Editor: JunNogata
Comment:
Revision 2 as of 2021-08-15 02:59:05
Size: 4583
Editor: JunNogata
Comment: リンクの修正
Deletions are marked like this. Additions are marked like this.
Line 2: Line 2:
~-[[DebianWiki/EditorGuide#translation|Translation(s)]]: [[zh_CN/I18n/Fcitx5|简体中文]] [[ja/I18n/Fcitx5|日本語]]-~ ~-[[DebianWiki/EditorGuide#translation|Translation(s)]]: [[I18n/Fcitx5|English]] [[zh_CN/I18n/Fcitx5|简体中文]]-~

Translation(s): English 简体中文


Fcitx5

Fcitx 5は、汎用的な入力メソッドフレームワークです。

パッケージ状況

全パッケージ: Fcitx5パッケージファミリー

Bullseye以降のみパッケージ化されています。Buster以前で使う場合は、fcitx(別名 fcitx4)をお使いください。

BullseyeでのFcitx5のインストール

中国語(簡体字)ユーザー向け

fcitx5fcitx5-chinese-addonsをインストールします。その後、ログアウトをして再度、デスクトップ環境にログインしてください。入力メソッドは、fcitxにすぐに追加されないので手動で設定の必要があります。端末かシステムトレイからfcitx5-configtoolを実行して設定してください。

apt install --install-recommends fcitx5 fcitx5-chinese-addons

推奨パッケージは、必ずインストールしてください。ほとんどの人には必要です。(KDEユーザーの場合など)最小限のパッケージをインストールしたい場合は以下のコマンドを試してみてください。

apt install --no-install-recommends fcitx5 fcitx5-chinese-addons fcitx5-frontend-gtk3 fcitx5-frontend-qt5 fcitx5-module-xorg kde-config-fcitx5 im-config

im-configは、入力メソッドに必要な環境を自動的に設定するためのパッケージです。

中国語(繁体字)ユーザー向け

fcitx5-chinese-addonsがインストールできます。これはテーブル方式の入力メソッドも提供します。また、注音符号が必要な場合はfcitx5-chewingもインストールします。

その他の言語

パッケージ

言語

fcitx5-rime

中国語

fcitx5-skk

日本語

fcitx5-mozc

日本語

fcitx5-hangul

韓国語

fcitx5-libthai

タイ語

GNOME

Gnomeユーザーは、gnome-shell-extension-kimpanelもインストールしてください。

Fcitx5は、Waylandでも動作するのでXorgに切り替える必要はありません。

Gnomeは、iBusをインストールしますがim-configで入力メソッドを切り替えられます。(訳注: 切り替えられますが、使わないならibusを削除しておいたほうが安全です。)

テーマ

組み込みのテーマ以外に、fcitx5-material-colorというテーマもあります。上流にスクリーンショットがあります。

テーマの設定は、Fcitx 5 Configuration -> Configure addons -> Classic User Interface -> Theme からできます。

fcitx4からの移行

fcitx5-config-qtをインストールして、デスクトップメニューから「Fcitx 5 Migration Wizard」を開きます。fcitx4からピンインとテーブルデータを移行する場合は、libime-bin も必要です。

既知の問題

  1. KDE BreezeとPapirusのfcitxアイコンが適用されません。 976603

  2. 一部のQtを使ったプロプライエタリソフトウェアでは入力できません。
    原因は、これらのソフトウェアに組み込まれているQtライブラリが古いfcitx4モジュールのみ含まれ、fcitx5モジュールが含まれていないからです。fcitx5は古いfcitx4モジュールをサポートしています。しかし、これらのプロプライエタリソフトウェアで扱うには環境変数QT_IM_MODULEfcitxに設定する必要があります。im-configはfcitx5と設定しています。 977203
    これを解決するにはソフトウェアの実行前にexport QT_IM_MODULE=fcitxを実行して事前に変更しておきます。

参照


CategoryKeyboard